body {
    font-family: "Gill Sans MT", sans-serif;
    font-size: 18px;
    line-height: 1.2rem;
    background: black;
    
    
    color: indigo;
}
mark {
  background-color: lavender;
  color: black;
}
h1, h2, h3, h4 {
    font-size: 22px;
    letter-spacing: 1px;
    font-family: "Gill Sans MT";
}

h1 {
    border-bottom: 2px solid indigo;
}

h2 {
    border-bottom: 2px dotted indigo;
    margin-top: 2rem;
}

hr {
    border: none;
    height: 1px;
    background: ivory;
    margin: 24px 0;
    display: block;
}

.post img {
    width:  400px;
    height: auto;
}

.wrapper {
    width: 889px;
    margin: auto;
}
.header {
    position: relative;
    width: 889px;
    height: 165px;
}

.character {
    z-index: 10;
    position: absolute;
    right: -14px;
    top: -3px;
    pointer-events: none;
}

.site-title {
    letter-spacing: 2px;
    margin-top: 48px;
    font-size: 22px;
}

.site-title a {
    color: ivory;
    text-decoration: none;
}

.site-subtitle {
    font-size: 30px;
    height: 22px;
    margin-top: -4px;
    color: indigo;
    letter-spacing: 1px;
}

/* GALLERY FOR ART STUFF STARTS HEEEREEE */

div.gallery {
  display: flex;
  flex-wrap: wrap;
  justify-content: flex-start;
}

div.gallery-item {
  margin: 5px;
  border: 1px solid #ccc;
  width: 22%;
}

div.gallery-item:hover {
  border: 1px solid #777;
}

div.gallery-item img {
  width: 100%;
  height: auto;
}

div.gallery-item div.desc {
  padding: 15px;
  text-align: center;
}

@media only screen and (max-width: 700px) {
  div.gallery-item {
    width: 45%;
  }
}

@media only screen and (max-width: 500px) {
  div.gallery-item {
    width: 100%;
  }
}
         
          /* GALLERY FOR ART STUFF ENDS HEEEREEE */  
          
          
.menu ul {
    margin:  0;
    padding:  0;
}

.menu li {
    display: inline-block;
    margin-right: 4px;
    position: relative;
    color: indigo;
    font-size: 18px;
    
}

.menu {
    text-transform: lowercase;
    margin-top: 24px;
    margin-left: 6px;
    z-index: 5;
    position: relative;
    color: indigo;
    border: solid;
   
}

.menu a {
    text-decoration: none;
    color: ivory;
    width: 128px;
    height: 39px;
    line-height: 45px;
    text-align: center;
    display: inline-block;
    background-image: url('img/button-inactive.png');
    letter-spacing: 1px;
}

.menu a.active {
    color: indigo;
    background-image: url('img/button-active.png');
}

.menu a:hover {
    text-decoration: underline;
}

a.disabled {
    cursor: default;
    opacity: 0.3;
}

a.disabled:hover {
    text-decoration: none;
    background: transparent;
    cursor: default;
}

.main {
    display: flex;
    box-sizing: border-box;
    z-index: 2;
    position: relative;
    background-image: url('img/main-tile.png');
    background-color: indigo;
    margin-top: 1px;
}

.main::before {
    display: block;
    content: " ";
 background-image: url('img/main-top.png');
    height: 3px;
    width: 100%;
    position: absolute;
    margin-top: -3px;
}
.content {
    padding: 12px 24px;
    flex-grow: 1;
    max-width: 660px;
    margin: 1rem;
    background: ivory;
    border: 1px solid indigo;
    border-radius: 3px;
    min-height: 900px;
}

.content img {
    max-width: 100%;
}

code {
    background: indigo;
    padding: 2px 4px;
    border-radius: 4px;
}

pre {
    background: indigo;
    padding: 2px 4px;
    border-radius: 4px;
    white-space: break-spaces;
}

.sidebar {
    padding: 16px;
    font-size: 16px;
text-align: center;
    min-width: 200px;
    width: 200px;
    min-height: 640px;
    padding-left: 0;
    font-family: monospace;

}

.roundrect {
border-radius: 30px;
}

.imageflex { display: flex;
 border-radius: 25px;}
.imageflexcontent { margin-left: 10px; margin-top: 0;
border-radius: 25px;}

.post h2 a {
    color:  inherit;
    text-decoration: none;
}

.page {
    background: transparent;
}

ul.checklist {
    padding: 0 1rem;
    margin: 0;
    margin-bottom: 2rem;
}

.sidebar a {
    color: inherit;
    text-decoration: none;
}

.sidebar a:hover {
    text-decoration: underline;
}

.page img {
    max-width: 100%;
}

.back-to-home {
    margin: 2rem 0;
    display: block;
    text-align: center;
}

.content img + img {
    margin-top: 6px;
}

.window-frame {
    background-image: url('img/window-frame.png');
    background-size: contain;
    background-repeat: no-repeat;
    width: 889px;
    height: 165px;
    position: absolute;
    z-index: 1;
    pointer-events: none;
}
.window-left {
    background-image: url('img/window-left.png');
    background-size: contain;
    background-repeat: no-repeat;
    width: 444px;
    height: 147px;
}
.window-right {
    background-image: url('img/window-right.png');
    background-size: contain;
    background-repeat: no-repeat;
    width: 444px;
    height: 147px;
    position: absolute;
    top: 0;
    right: 0;
}
.outside {
    background-image: url('img/window-background.png');
    background-repeat: no-repeat;
    position: absolute;
    z-index: -5;
    top: 10px;
    left: 10px;
    height: 100%;
    width: 100%;

}
.window-draggable-area {
    position: absolute;
    height: 10px;
    top:  10px;
    left: 10px;
    right: 10px;
}

/* lightbox */
.gallery-item img:hover {
    border-radius: var(--border-radius);
    cursor: pointer;
    outline: var(--border)
}

#lightbox {
    border: none;
    outline: none;
}
#lightbox img {
  max-height:90vh;
  max-width:90vw;
}

::backdrop {
    backdrop-filter: blur(2px) brightness(80%);
}

.gallery-item:has(~ #lightbox:popover-open) {
    pointer-events: none;
}
/* makes the lightbox work on small screens, like phones */
@media only screen and (min-width: 600px) {
    #lightbox button {
        display: none;
    }
} 
@media only screen and (max-width: 600px) {
    #lightbox button {
        display: block;
        width:30px;
        height:30px;
        margin:10px auto;
    }
} 

iframe {
    border: none;
    height: 100%;
    width: 100%;
}

html, body {
    scrollbar-width: thin; 
    scrollbar-color: ivory, indigo;
}

/* WebKit-based browsers (Chrome, Safari, newer Edge) */
::-webkit-scrollbar {
    width: 12px;
}

::-webkit-scrollbar-track {
    background: indigo;
    border-radius: 10px;
}

::-webkit-scrollbar-thumb {
    background-color: #6fa3a9;
    border-radius: 10px;
    border: 3px solid #2c3e50;
}

::-webkit-scrollbar-thumb:hover {
    background-color: #d9e2c6;
}

body.sidebar {
    background-color: ivory;
    padding: 0;
    margin: 0;
}

body.header {
    background-color: black;
    padding: 0;
    margin: 0;
}

body.header {
    overflow: hidden;
}

iframe[name=header] {
    height: 313px;
    width: 910px;
    margin-bottom: -6px;
    z-index: 3;
    position: relative;
}

.width-50 {
    width: 50%;
}

.border {
    border: 1px solid indigo;
}

.border-0 {
    border: none;
}

.content a {
    color: #346d84;
}

th {
    background: ivory;
}

th, td {
    padding: 3px 6px;
    border: 1px solid #364974;
    vertical-align: top;
}

table.border-0 th, table.border-0 td {
    border: 0;
}